### Method

# Gsk Transform to_2d

#### Declaration [src]

    void
    gsk_transform_to_2d (
      GskTransform* self,
      float* out_xx,
      float* out_yx,
      float* out_xy,
      float* out_yy,
      float* out_dx,
      float* out_dy
    )

#### Description [src]

Converts a `GskTransform` to a 2D transformation matrix.

`self` must be a 2D transformation. If you are not sure, use gsk_transform_get_category() >= `GSK_TRANSFORM_CATEGORY_2D` to check.

The returned values have the following layout:

      | xx yx |   |  a  b  0 |
      | xy yy | = |  c  d  0 |
      | dx dy |   | tx ty  1 |

This function can be used to convert between a `GskTransform` and a matrix type from other 2D drawing libraries, in particular Cairo.

#### Parameters

`out_xx` | `float*`
| Return location for the xx member.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
`out_yx` | `float*`
| Return location for the yx member.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
`out_xy` | `float*`
| Return location for the xy member.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
`out_yy` | `float*`
| Return location for the yy member.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
`out_dx` | `float*`
| Return location for the x0 member.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
`out_dy` | `float*`
| Return location for the y0 member.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.